GuidesRecipesAPI ReferenceChangelog
API Reference

Create ExternalBankAccount

Create an ExternalBankAccount.

Account creation

Accounts can be created for a Bank or a Customer.

To create accounts for your Bank, omit the customer_guid parameter in the request body. To create accounts for your Customers, include the customer_guid parameter in the request body.

State

StateDescription
storingThe Platform is storing the external bank account details in our private store
completedThe Platform has created the external bank account
unverifiedThe external bank account is created, but it has not yet been verified
failedThe Platform was not able to successfully create the external bank account
refresh_requiredThe Platform has created the external bank account, but needs to be refreshed
deletingThe Platform is deleting the external bank account
deletedThe Platform has deleted the external bank account

Failure codes

CodeDescription
invalid_routing_numberThe provided routing number is invalid
invalid_account_numberThe account number is invalid
invalid_account_typeThe account type is invalid
duplicateAn account with the same details already exists
plaid_processor_tokenAn account could not be created due to an invalid Plaid processor token or an error with Plaid
plaid_multiple_accountsThe supplied Plaid token is associated with multiple accounts. Must only be a single account.
create_failedThe bank account and associated holder could not be created correctly
unverified_counterpartyThe counterparty account is unverified

Required scope: external_bank_accounts:execute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
length between 1 and 128

The name of the account.

string
enum
required

The account type

Allowed:
string | null

The customer identifier.

string | null

The asset code. If not set will try and default to the Bank's configured fiat asset.

string | null

The public token for the account. Required for 'plaid' accounts. Required when account_kind is plaid.

string | null

The account identifier in plaid. Required for 'plaid' accounts. Required when account_kind is plaid.

string | null

The Plaid processor token used to access the account. Required when account_kind is plaid_processor_token.

string | null

Plaid's institution ID for the account's institution. Required when account_kind is plaid_processor_token.

string | null

The account mask for the account. Required when account_kind is plaid_processor_token.

string | null

The name of the account. Required when account_kind is plaid_processor_token.

string | null

The counterparty identifier. Optional when account_kind is raw_routing_details.

counterparty_bank_account_details
array of objects | null

The counterparty's checking bank account information. Required when account_kind is raw_routing_details.

counterparty_bank_account_details
counterparty_name
object | null

The counterparty's name on their checking account. Required when account_kind is raw_routing_details and counterparty_guid is not present.

counterparty_address
object | null

The counterparty's address on their checking account. Required when account_kind is raw_routing_details and counterparty_guid is not present.

string | null

The counterparty's email address on their checking account. Optional when account_kind is raw_routing_details and counterparty_guid is not present.

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json